package com.zehong.gassdevicereport.dao;

import com.zehong.gassdevicereport.entity.TDeviceAlarm;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * 报警信息Mapper接口
 * 
 * @author zehong
 * @date 2021-08-03
 */

public interface TDeviceAlarmDao
{
    /**
     * 查询报警信息
     * 
     * @param alarmId 报警信息ID
     * @return 报警信息
     */
    TDeviceAlarm selectTDeviceAlarmById(Long alarmId);

    /**
     * 查询报警信息列表
     * 
     * @param tDeviceAlarm 报警信息
     * @return 报警信息集合
     */
    List<TDeviceAlarm> selectTDeviceAlarmList(TDeviceAlarm tDeviceAlarm);

    /**
     * 新增报警信息
     * 
     * @param tDeviceAlarm 报警信息
     * @return 结果
     */
    int insertTDeviceAlarm(TDeviceAlarm tDeviceAlarm);

    /**
     * 修改报警信息
     * 
     * @param tDeviceAlarm 报警信息
     * @return 结果
     */
    int updateTDeviceAlarm(TDeviceAlarm tDeviceAlarm);

    /**
     * 删除报警信息
     * 
     * @param alarmId 报警信息ID
     * @return 结果
     */
    int deleteTDeviceAlarmById(Long alarmId);

    /**
     * 批量删除报警信息
     * 
     * @param alarmIds 需要删除的数据ID
     * @return 结果
     */
    int deleteTDeviceAlarmByIds(Long[] alarmIds);

    /**
     * 根据设备id查询报警信息
     * @param deviceId
     * @return
     */
    TDeviceAlarm selectTDeviceAlarmByDeviceId(Long deviceId);
}
