package com.zehong.gassdevicereport.dao;

import com.zehong.gassdevicereport.entity.TDeviceReportData;

import java.util.List;

/**
 * 设备监控Mapper接口
 * 
 * @author zehong
 * @date 2021-08-09
 */
public interface TDeviceReportDataDao {
    /**
     * 查询设备监控
     * 
     * @param deviceReportDataId 设备监控ID
     * @return 设备监控
     */
    TDeviceReportData selectTDeviceReportDataById(Long deviceReportDataId);

    /**
     * 查询设备监控列表
     * 
     * @param tDeviceReportData 设备监控
     * @return 设备监控集合
     */
    List<TDeviceReportData> selectTDeviceReportDataList(TDeviceReportData tDeviceReportData);

    /**
     * 新增设备监控
     * 
     * @param tDeviceReportData 设备监控
     * @return 结果
     */
    int insertTDeviceReportData(TDeviceReportData tDeviceReportData);

    /**
     * 修改设备监控
     * 
     * @param tDeviceReportData 设备监控
     * @return 结果
     */
    int updateTDeviceReportData(TDeviceReportData tDeviceReportData);

    /**
     * 删除设备监控
     * 
     * @param deviceReportDataId 设备监控ID
     * @return 结果
     */
    int deleteTDeviceReportDataById(Long deviceReportDataId);

    /**
     * 批量删除设备监控
     * 
     * @param deviceReportDataIds 需要删除的数据ID
     * @return 结果
     */
    int deleteTDeviceReportDataByIds(Long[] deviceReportDataIds);
}
