package com.zehong.gassdevicereport.dao;

import com.zehong.gassdevicereport.entity.TMonitorDevice;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * 设备监控Mapper接口
 * 
 * @author zehong
 * @date 2021-08-03
 */
public interface TMonitorDeviceDao
{
    /**
     * 查询设备监控
     * 
     * @param monitorId 设备监控ID
     * @return 设备监控
     */
    TMonitorDevice selectTMonitorDeviceById(Long monitorId);

    /**
     * 查询设备监控列表
     * 
     * @param tMonitorDevice 设备监控
     * @return 设备监控集合
     */
    List<TMonitorDevice> selectTMonitorDeviceList(TMonitorDevice tMonitorDevice);

    /**
     * 新增设备监控
     * 
     * @param tMonitorDevice 设备监控
     * @return 结果
     */
    int insertTMonitorDevice(TMonitorDevice tMonitorDevice);

    /**
     * 修改设备监控
     * 
     * @param tMonitorDevice 设备监控
     * @return 结果
     */
    int updateTMonitorDevice(TMonitorDevice tMonitorDevice);

    /**
     * 删除设备监控
     * 
     * @param monitorId 设备监控ID
     * @return 结果
     */
    int deleteTMonitorDeviceById(Long monitorId);

    /**
     * 批量删除设备监控
     * 
     * @param monitorIds 需要删除的数据ID
     * @return 结果
     */
    int deleteTMonitorDeviceByIds(Long[] monitorIds);

    /**
     * 通过物联网编号获取设备监控信息
     * @param iotNo 物联网编号
     * @return
     */
    List<TMonitorDevice> getDeviceInfosByIotNo(String iotNo);
}
