package com.zehong.gassdevicereport.dao;

import com.zehong.gassdevicereport.entity.TRelationDeviceData;
import java.util.List;

/**
 * 关联设备数据Mapper接口
 * 
 * @author zehong
 * @date 2023-03-27
 */
public interface TRelationDeviceDataDao {
    /**
     * 查询关联设备数据
     * 
     * @param dataId 关联设备数据ID
     * @return 关联设备数据
     */
    TRelationDeviceData selectTRelationDeviceDataById(Long dataId);

    /**
     * 查询关联设备数据列表
     * 
     * @param tRelationDeviceData 关联设备数据
     * @return 关联设备数据集合
     */
    List<TRelationDeviceData> selectTRelationDeviceDataList(TRelationDeviceData tRelationDeviceData);

    /**
     * 新增关联设备数据
     * 
     * @param tRelationDeviceData 关联设备数据
     * @return 结果
     */
    int insertTRelationDeviceData(TRelationDeviceData tRelationDeviceData);

    /**
     * 修改关联设备数据
     * 
     * @param tRelationDeviceData 关联设备数据
     * @return 结果
     */
    int updateTRelationDeviceData(TRelationDeviceData tRelationDeviceData);

    /**
     * 删除关联设备数据
     * 
     * @param dataId 关联设备数据ID
     * @return 结果
     */
    int deleteTRelationDeviceDataById(Long dataId);

    /**
     * 批量删除关联设备数据
     * 
     * @param dataIds 需要删除的数据ID
     * @return 结果
     */
    int deleteTRelationDeviceDataByIds(Long[] dataIds);
}
