package com.zehong.gassdevicereport.dao;

import com.zehong.gassdevicereport.entity.TRelationDeviceInfo;
import java.util.List;

/**
 * 关联设备Mapper接口
 * 
 * @author zehong
 * @date 2023-03-27
 */
public interface TRelationDeviceInfoDao {
    /**
     * 查询关联设备
     * 
     * @param relationId 关联设备ID
     * @return 关联设备
     */
    TRelationDeviceInfo selectTRelationDeviceInfoById(Long relationId);

    /**
     * 查询关联设备列表
     * 
     * @param tRelationDeviceInfo 关联设备
     * @return 关联设备集合
     */
    List<TRelationDeviceInfo> selectTRelationDeviceInfoList(TRelationDeviceInfo tRelationDeviceInfo);

    /**
     * 新增关联设备
     * 
     * @param tRelationDeviceInfo 关联设备
     * @return 结果
     */
    int insertTRelationDeviceInfo(TRelationDeviceInfo tRelationDeviceInfo);

    /**
     * 修改关联设备
     * 
     * @param tRelationDeviceInfo 关联设备
     * @return 结果
     */
    int updateTRelationDeviceInfo(TRelationDeviceInfo tRelationDeviceInfo);

    /**
     * 删除关联设备
     * 
     * @param relationId 关联设备ID
     * @return 结果
     */
    int deleteTRelationDeviceInfoById(Long relationId);

    /**
     * 批量删除关联设备
     * 
     * @param relationIds 需要删除的数据ID
     * @return 结果
     */
    int deleteTRelationDeviceInfoByIds(Long[] relationIds);

    List<TRelationDeviceInfo> getDeviceInfoByDeviceCode(String deviceCode);
}
