package com.zehong.gassdevicereport.entity;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 设备监控对象 t_device_report_data
 * 
 * @author zehong
 * @date 2021-08-09
 */
@Data
public class TDeviceReportData {
    private static final long serialVersionUID = 1L;

    /** 设备上报id */
    private Long deviceReportDataId;

    /** 设备id */
    private String deviceNum;

    /** 标况累计量 */
    private BigDecimal standardConditionAccumulation;

    /** 工况累计量 */
    private BigDecimal workingConditionAccumulation;

    /** 逆向标况累计量 */
    private BigDecimal backingStandardConditionAccumulation;

    /** 剩余量 */
    private BigDecimal residualQuantity;

    /** 标况流量 */
    private BigDecimal standardConditionFlow;

    /** 工况流量 */
    private BigDecimal workingConditionFlow;

    /** 温度 */
    private BigDecimal temperature;

    /** 压力 */
    private BigDecimal pressure;

    /** 上报时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date reportTime;

    /** 通讯状态 */
    private String communicationStatus;

    /** 设备状态 */
    private String deviceStatus;

    /** 创建时间 */
    private Date createTime;

    /** 更新时间 */
    private Date updateTime;

}
