package com.zehong.gassdevicereport.entity;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 设备监控对象 t_monitor_device
 * 
 * @author zehong
 * @date 2021-08-03
 */
@Data
public class TMonitorDevice
{
    private static final long serialVersionUID = 1L;

    /** 设备监控id */
    private Long monitorId;

    /** 设备id */
    private Long deviceId;

    /** 物联网编号 */
    private String IotNo;

    /** 设备阈值 */
    private BigDecimal deviceThreshold;

    /** 关联管道id */
    private Long relationPipeId;

    /** 关联管道阈值 */
    private BigDecimal relationPipeThreshold;

    /** 关联设备id */
    private Long relationDeviceId;

    /** 关联设备物联网编号 */
    private String relationIotNo;

    /** 关联设备阈值 */
    private BigDecimal relationDeviceThreshold;

    /** 创建时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

    /** 更新时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date updateTime;

}
