package com.zehong.gassdevicereport.entity;

import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 关联设备数据对象 t_relation_device_data
 * 
 * @author zehong
 * @date 2023-03-27
 */
@Data
public class TRelationDeviceData {

    /** 主键id */
    private Long dataId;

    /** 设备编号 */
    private String deviceCode;

    /** 设备状态：0.预热 1.正常 2.错误 3.传感器故障 4.报警 5.低报 6.高报 7.通信故障 8.通信故障 9.离线 10.电量低 11.主电故障 12.备电故障 13.无此节点 14.低电压 15.故障 16.报警联动 17.低低报 18.高高报 19.水位淹没报警 */
    private String status;

    /** 浓度 */
    private BigDecimal potency;

    /** 是否删除：0否，1是 */
    private String isDel;

    /** 创建时间 */
    private Date createTime;

    /** 更新时间 */
    private Date updateTime;

    private String remark;
}
