package com.zehong.gassdevicereport.service;

import com.zehong.gassdevicereport.entity.TRelationDeviceData;

import java.util.List;

/**
 * 关联设备数据Service接口
 * 
 * @author zehong
 * @date 2023-03-27
 */
public interface ITRelationDeviceDataService {
    /**
     * 查询关联设备数据
     * 
     * @param dataId 关联设备数据ID
     * @return 关联设备数据
     */
    TRelationDeviceData selectTRelationDeviceDataById(Long dataId);

    /**
     * 查询关联设备数据列表
     * 
     * @param tRelationDeviceData 关联设备数据
     * @return 关联设备数据集合
     */
    List<TRelationDeviceData> selectTRelationDeviceDataList(TRelationDeviceData tRelationDeviceData);

    /**
     * 新增关联设备数据
     * 
     * @param tRelationDeviceData 关联设备数据
     * @return 结果
     */
    int insertTRelationDeviceData(TRelationDeviceData tRelationDeviceData);

    /**
     * 修改关联设备数据
     * 
     * @param tRelationDeviceData 关联设备数据
     * @return 结果
     */
    int updateTRelationDeviceData(TRelationDeviceData tRelationDeviceData);

    /**
     * 批量删除关联设备数据
     * 
     * @param dataIds 需要删除的关联设备数据ID
     * @return 结果
     */
    int deleteTRelationDeviceDataByIds(Long[] dataIds);

    /**
     * 删除关联设备数据信息
     * 
     * @param dataId 关联设备数据ID
     * @return 结果
     */
    int deleteTRelationDeviceDataById(Long dataId);
}
