package com.zehong.gassdevicereport.task;

import com.zehong.gassdevicereport.dao.SysScheduledCronRepository;
import com.zehong.gassdevicereport.entity.SysScheduledCron;
import com.zehong.gassdevicereport.enums.SysScheduledStatusEnum;
import com.zehong.gassdevicereport.utils.SpringUtil;

/**
 * 实现Runnable接口
 */
public interface ScheduledOfTask extends Runnable {

    /**
     * 定时任务方法
     */
    void execute();

    /**
     * 实现控制定时任务启用或禁用的功能
     */
    @Override
    default void run() {
        SysScheduledCronRepository repository = SpringUtil.getBean(SysScheduledCronRepository.class);
        SysScheduledCron scheduledCron = repository.findByCronKey(this.getClass().getName());
        if (SysScheduledStatusEnum.DISABLED.getCode().equals(scheduledCron.getStatus())) {
            // 任务是禁用状态
            return;
        }
        execute();
    }
}

