package com.zehong.gassdevicereport.utils;

import java.text.SimpleDateFormat;
import java.util.Date;

public class CrcUtil {

    /**
     * 计算CRC16校验码
     * @param bytes
     * @return
     */
    public static int getCRC(byte[] bytes) {
        int CRC = 0x0000ffff;
        int POLYNOMIAL = 0x0000a001;

        int i, j;
        for (i = 0; i < bytes.length; i++) {
            CRC ^= ((int) bytes[i] & 0x000000ff);
            for (j = 0; j < 8; j++) {
                if ((CRC & 0x00000001) != 0) {
                    CRC >>= 1;
                    CRC ^= POLYNOMIAL;
                } else {
                    CRC >>= 1;
                }
            }
        }
        return CRC;
    }

    public static String getCrcToHex(byte[] bytes) {
        return Integer.toHexString(getCRC(bytes));
    }

    /**
     * 计算CRC16校验码
     * @param bytes
     * @param reverse 是否转换高低位
     * @return
     */
    public static String getCrcToHex(byte[] bytes,boolean reverse) {
        int CRC = getCRC(bytes);
        //高低位转换，看情况使用（譬如本人这次对led彩屏的通讯开发就规定校验码高位在前低位在后，也就不需要转换高低位)
        if(reverse){
            //高低位互换，输出符合相关工具对Modbus CRC16的运算
            CRC = ( (CRC & 0x0000FF00) >> 8) | ( (CRC & 0x000000FF ) << 8);
        }
        return String.format("%04x", CRC);
    }
}



